up - next - index

# Comparable

  `Comparable` is the Mix-in for comparable classes. The including class must provide the basic comparison operator ``<=>`'. The other comparing operators are defined in this module using operator ``<=>`'.

## Methods:

  `self == other`

    Returns true if `self` and the other have same values.

  `self > other`

    Returns true if `self` is greater than the other.

  `self >= other`

    Returns true if `self` is greater than or equals to the other.

  `self < other`

    Returns true if `self` is less than the other.

  `self <= other`

    Returns true if `self` is less than or equals to the other.

  `between?(min, max)`

    Returns true if self is in between min and max.

up - next - index

matz@netlab.co.jp